R_CONNECT_TO_PORT(3)

FUNCTION
r_connect_to_port - Make a connection to a Karma port on some machine.

SYNOPSIS
#include <karma_r.h>

int r_connect_to_port

(unsigned long addr, unsigned int port_number, flag *local)

DESCRIPTION
Make a connection to a Karma port on some machine.

addr
    The address of the machine to connect to. If the value of 0 is supplied for the address, the connection is made to a Karma server running on the local machine.

port_number
    The port number to connect to.

local
    If the connection is made to a port on the local host, then the value TRUE will be written here, else the value FALSE will be written here.

RETURN VALUE
The file descriptor of the opened connection on success, else -1.

Multi-threading Level
Unsafe.

NOTE
The close-on-exec flags of the socket is set such that the socket will close on a call to execve(2V).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/